# Function _useDeepId

- _useDeepId(deep, start, ...path): {
  data: Id;
  error?: any;
  loading: boolean;
  }

- #### Parameters

  - deep: DeepClient<Link<Id>>
  - start: QueryLink | DeepClientStartItem
  - `Rest`...path: DeepClientPathItem[]

  #### Returns {
  data: Id;
  error?: any;
  loading: boolean;
  }

  - ##### data: Id

  - ##### `Optional` error?: any

  - ##### loading: boolean

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:2251